package server;

import java.util.Map;
import java.util.HashMap;

public class SessionManager {
    private static SessionManager ourInstance = new SessionManager();
    private Map<String,Session> sessions;

    public SessionManager() {
        sessions = new HashMap<String, Session>();
    }

    public static SessionManager getInstance() {
        return ourInstance;
    }

    protected Session getSession(Request request) {
        Session session = sessions.get(request.getRequestId());
        if (session == null) {
            session = new Session(request.getRequestId());
            sessions.put(request.getRequestId(), session);
        }
        return session;
    }

    protected void destroy(Session session) {
        sessions.remove(session.getSessionId());
    }

}
